/*
 * 作成日: 2005/02/19
 *
 * TODO この生成されたファイルのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
package jp.co.ntt.lms.xmf.lo.wbt.IndividualLog.function;

import java.util.Vector;

import jp.co.ntt.lms.xmo.GroupAndPeople.GroupAndPeopleClient;
/**
 * @author Administrator
 *
 * TODO この生成された型コメントのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
public class GetCsvUserList {
	/**
	 * 
	 */
	public GetCsvUserList() {
		super();
		// TODO 自動生成されたコンストラクター・スタブ
	}
	/**
	 * URLエンコードを行います。
	 * @param strURL 変換対象文字列
	 * @return String URLエンコード文字列
	 */

	
	public Vector getCsvUserList( String strMode, String strGroupID )
		throws Exception
	{
		if ( strMode == null || strGroupID == null ){
			return new Vector();
		}
		
		Vector vecUserList = new Vector();
		GroupAndPeopleClient objGap = new GroupAndPeopleClient();

		//指定モードがグループ配下のユーザのみの場合
		if ( strMode.equals("1") == true || strMode.equals("3") == true ){
			
			objGap.setWhereParentID( strGroupID );
			if ( !objGap.select() ){
				throw new Exception();
			}

			while( objGap.next() ) {
				String strChildID = objGap.getChildID();
				// ユーザかどうか調べる
				if( !objGap.isGroup() ) {
					if( !vecUserList.contains( strChildID ) ) {
						vecUserList.add( strChildID );
					}
				}
			}
		}
		//指定モードがグループ以下のユーザ全ての場合
		else{
			objGap.getUserList( strGroupID, vecUserList );
		}
		
		return vecUserList;
	
	}


}
